Bug 1265919 - [abrt] recoll: to_clean(): recoll killed by SIGSEGV
[abrt] recoll: to_clean(): recoll killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: recoll (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b0e12f3f73bdbd634c3c9fd993f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 03:29 EDT by Raman Gupta
Modified: 2015-10-13 13:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: recoll-1.21.2-1.fc23 recoll-1.21.2-1.fc21 recoll-1.21.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 20:06:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (88.60 KB, text/plain)
2015-09-24 03:29 EDT, Raman Gupta
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-24 03:29 EDT, Raman Gupta
no flags Details
File: core_backtrace (24.19 KB, text/plain)
2015-09-24 03:29 EDT, Raman Gupta
no flags Details
File: dso_list (17.80 KB, text/plain)
2015-09-24 03:29 EDT, Raman Gupta
no flags Details
File: environ (2.73 KB, text/plain)
2015-09-24 03:29 EDT, Raman Gupta
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-24 03:29 EDT, Raman Gupta
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-24 03:29 EDT, Raman Gupta
no flags Details
File: maps (88.76 KB, text/plain)
2015-09-24 03:29 EDT, Raman Gupta
no flags Details
File: open_fds (1.32 KB, text/plain)
2015-09-24 03:29 EDT, Raman Gupta
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-09-24 03:29 EDT, Raman Gupta
no flags Details

  None (edit)
Description Raman Gupta 2015-09-24 03:29:00 EDT
Description of problem:
Did a search in recoll.

Version-Release number of selected component:
recoll-1.20.6-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /bin/recoll
crash_function: to_clean
executable:     /usr/bin/recoll
kernel:         4.1.6-100.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 to_clean at modules/speller/default/language.hpp:225
 #1 operator() at modules/speller/default/language.hpp:370
 #3 FindIterator at modules/speller/default/vector_hash-t.hpp:33
 #4 ConstFindIterator at modules/speller/default/vector_hash.hpp:265
 #5 aspeller::VectorHashTable<(anonymous namespace)::ReadOnlyDict::WordLookupParms>::find at modules/speller/default/vector_hash-t.hpp:92
 #6 (anonymous namespace)::ReadOnlyDict::lookup at modules/speller/default/readonly_ws.cpp:465
 #7 aspeller::SpellerImpl::check_simple at modules/speller/default/speller_impl.cpp:145
 #8 aspeller::SpellerImpl::check_affix at modules/speller/default/speller_impl.cpp:154
 #9 check2 at modules/speller/default/speller_impl.cpp:170
 #10 aspeller::SpellerImpl::check at modules/speller/default/speller_impl.cpp:190
Comment 1 Raman Gupta 2015-09-24 03:29:03 EDT
Created attachment 1076371 [details]
File: backtrace
Comment 2 Raman Gupta 2015-09-24 03:29:04 EDT
Created attachment 1076372 [details]
File: cgroup
Comment 3 Raman Gupta 2015-09-24 03:29:05 EDT
Created attachment 1076373 [details]
File: core_backtrace
Comment 4 Raman Gupta 2015-09-24 03:29:06 EDT
Created attachment 1076374 [details]
File: dso_list
Comment 5 Raman Gupta 2015-09-24 03:29:07 EDT
Created attachment 1076375 [details]
File: environ
Comment 6 Raman Gupta 2015-09-24 03:29:08 EDT
Created attachment 1076376 [details]
File: exploitable
Comment 7 Raman Gupta 2015-09-24 03:29:09 EDT
Created attachment 1076377 [details]
File: limits
Comment 8 Raman Gupta 2015-09-24 03:29:11 EDT
Created attachment 1076378 [details]
File: maps
Comment 9 Raman Gupta 2015-09-24 03:29:11 EDT
Created attachment 1076379 [details]
File: open_fds
Comment 10 Raman Gupta 2015-09-24 03:29:12 EDT
Created attachment 1076380 [details]
File: proc_pid_status
Comment 11 Fedora Update System 2015-10-04 02:40:07 EDT
recoll-1.21.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-593dca4c17
Comment 12 Fedora Update System 2015-10-04 02:40:12 EDT
recoll-1.21.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b11dd5cb3f
Comment 13 Fedora Update System 2015-10-04 21:51:23 EDT
recoll-1.21.2-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update recoll'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-427620ccee
Comment 14 Fedora Update System 2015-10-04 22:52:00 EDT
recoll-1.21.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update recoll'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-593dca4c17
Comment 15 Fedora Update System 2015-10-05 11:20:39 EDT
recoll-1.21.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update recoll'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b11dd5cb3f
Comment 16 Fedora Update System 2015-10-12 20:05:59 EDT
recoll-1.21.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-10-13 02:51:22 EDT
recoll-1.21.2-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-10-13 13:02:11 EDT
recoll-1.21.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.